Skip to main content
`Ctrl`+`K`

# VecMPISetGhost

Sets the ghost points for an MPI ghost vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMPISetGhost(Vec vv, PetscInt nghost, const PetscInt ghosts[])

Collective

## Input Parameters

- vv - the MPI vector

- nghost - number of local ghost points

- ghosts - global indices of ghost points, these do not need to be in increasing order (sorted)

## Notes

Use `VecGhostGetLocalForm()` to access the local, ghosted representation of the vector.

This also automatically sets the `ISLocalToGlobalMapping()` for this vector.

You must call this AFTER you have set the type of the vector (with`VecSetType()`) and the size (with `VecSetSizes()`).

## See Also

Vectors and Parallel Data, `Vec`, `VecType`, `VecCreateSeq()`, `VecCreate()`, `VecDuplicate()`, `VecDuplicateVecs()`, `VecCreateMPI()`, `VecGhostGetLocalForm()`, `VecGhostRestoreLocalForm()`, `VecGhostUpdateBegin()`, `VecCreateGhostWithArray()`, `VecCreateMPIWithArray()`, `VecGhostUpdateEnd()`, `VecCreateGhostBlock()`, `VecCreateGhostBlockWithArray()`

## Level

advanced

## Location

src/vec/vec/impls/mpi/pbvec.c

## Examples

src/vec/vec/tutorials/ex9.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages